select
    first_name,
    family_name
from
    person
where
    id in
    (
        select 
            a.person_id
        from
            claimant a
            join
            transaction b
            on a.id = b.claimant_id
            join
            claim_head c
            on b.claim_head_id = c.id
        where 
            c.description like '%Bodily Injury%' and
            b.payment_or_recovery = 'Payment' and
            b.actual_or_reserve = 'Actual'
    );
